终端里下载软件出问题了,求助阿

为当前最终发行版之前的所有版本提供支持
回复
头像
smilemorning
帖子: 85
注册时间: 2010-12-31 14:54
系统: Ubuntu 12.04 LTS
送出感谢: 5 次
接收感谢: 1 次

终端里下载软件出问题了,求助阿

#1

帖子 smilemorning » 2011-01-04 10:11

一下就是我下载软件时提示的错误:

正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
xserver-xorg-input-synaptics 已经是最新的版本了。
下列软件包是自动安装的并且现在不需要了:
mplayer-skins
使用'apt-get autoremove'来删除它们
升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件包未被升级。
有 1 个软件包没有被完全安装或卸载。
解压缩后会消耗掉 0B 的额外空间。
正在设置 install-info (4.13a.dfsg.1-5ubuntu1) ...
/etc/environment: line 1: 查找“"”的匹配字符时发现意外的EOF
dpkg:处理 install-info (--configure)时出错:
子进程 已安装的 post-installation 脚本 返回了错误号 2
在处理时有错误发生:
install-info
E: Sub-process /usr/bin/dpkg returned an error code (1)
file@ubuntu:~$

如果是告诉我用新立得下载软件的话就不用留言了,小弟先谢谢各位了
有些事情现在不做,就一辈子也不会做了
头像
bjiokn
帖子: 14
注册时间: 2009-05-24 9:09
送出感谢: 0
接收感谢: 0
联系:

Re: 终端里下载软件出问题了,求助阿

#2

帖子 bjiokn » 2011-01-04 15:25

你是把/var/lib/dpkg/info删了吧?
或者把/var/lib/dpkg/info的内容更改了??
并非你的人生无聊,而是因为你在追求一个无聊的人生....
头像
smilemorning
帖子: 85
注册时间: 2010-12-31 14:54
系统: Ubuntu 12.04 LTS
送出感谢: 5 次
接收感谢: 1 次

Re: 终端里下载软件出问题了,求助阿

#3

帖子 smilemorning » 2011-01-04 19:07

我没没删过任何东西啊,那我该怎么做阿
有些事情现在不做,就一辈子也不会做了
头像
astolia
论坛版主
帖子: 3091
注册时间: 2008-09-18 13:11
送出感谢: 1 次
接收感谢: 511 次

Re: 终端里下载软件出问题了,求助阿

#4

帖子 astolia » 2011-01-04 22:03

肯定以前乱改过/etc/environment,少写了一个"号
头像
smilemorning
帖子: 85
注册时间: 2010-12-31 14:54
系统: Ubuntu 12.04 LTS
送出感谢: 5 次
接收感谢: 1 次

Re: 终端里下载软件出问题了,求助阿

#5

帖子 smilemorning » 2011-01-06 16:50

astolia 写了:肯定以前乱改过/etc/environment,少写了一个"号
那要怎么做啊,如何修改啊,能说的详细点吗?
有些事情现在不做,就一辈子也不会做了
头像
daf3707
论坛版主
帖子: 12673
注册时间: 2007-06-13 15:57
来自: 在他乡
送出感谢: 49 次
接收感谢: 85 次

Re: 终端里下载软件出问题了,求助阿

#6

帖子 daf3707 » 2011-01-06 16:56

有 1 个软件包没有被完全安装或卸载。
该装的装了,该卸载的卸了
试试

代码: 全选

sudo apt-get install -f
头像
smilemorning
帖子: 85
注册时间: 2010-12-31 14:54
系统: Ubuntu 12.04 LTS
送出感谢: 5 次
接收感谢: 1 次

Re: 终端里下载软件出问题了,求助阿

#7

帖子 smilemorning » 2011-01-06 19:13

daf3707 写了:
有 1 个软件包没有被完全安装或卸载。
该装的装了,该卸载的卸了
试试

代码: 全选

sudo apt-get install -f
处理的时候还是发生我说的错误阿,怎么办阿?
有些事情现在不做,就一辈子也不会做了
头像
PCTUBUNTU
帖子: 976
注册时间: 2009-11-15 14:10
系统: debian testing
来自: 北京
送出感谢: 3 次
接收感谢: 2 次

Re: 终端里下载软件出问题了,求助阿

#8

帖子 PCTUBUNTU » 2011-01-06 19:17

你的头像看的我想要爆你的头
头像
smilemorning
帖子: 85
注册时间: 2010-12-31 14:54
系统: Ubuntu 12.04 LTS
送出感谢: 5 次
接收感谢: 1 次

Re: 终端里下载软件出问题了,求助阿

#9

帖子 smilemorning » 2011-01-08 15:28

问题已经解决了,就是/etc/environment,少写了一个"号的问题,呵呵
有些事情现在不做,就一辈子也不会做了
ucn123
帖子: 16
注册时间: 2008-10-27 12:51
送出感谢: 0
接收感谢: 1 次

Re: 终端里下载软件出问题了,求助阿

#10

帖子 ucn123 » 2011-01-15 22:51

PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games"
CLASSPATH=.:/usr/lib/jvm/java-6-sun/lib
JAVA_HOME=/usr/lib/jvm/java-6-sun
JAVAC=javac ./configure

请问这个“号加在哪里? 我的系统也遇到了LZ一样的问题,以下是我在做update和install时都遇到的问题:

dpkg: parse error, in file '/var/lib/dpkg/status' near line 6129 package 'install-info':
Configured-Version for package with inappropriate Status
E: Sub-process /usr/bin/dpkg returned an error code (2)


Package: install-info
Status: install ok not-installed
Priority: important
Section: doc
Installed-Size: 252
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Architecture: i386
Source: texinfo
Version: 4.13a.dfsg.1-5ubuntu1
Config-Version: 4.13a.dfsg.1-5ubuntu1
Replaces: texinfo (<< 4.13a.dfsg.1-2)
Depends: libc6 (>= 2.4)
Conflicts: texinfo (<< 4.13a.dfsg.1-2)
Description: Manage installed documentation in info format
The install-info utility creates the index of all installed documentation
in info format and makes it available to info readers.
Original-Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
头像
smilemorning
帖子: 85
注册时间: 2010-12-31 14:54
系统: Ubuntu 12.04 LTS
送出感谢: 5 次
接收感谢: 1 次

Re: 终端里下载软件出问题了,求助阿

#11

帖子 smilemorning » 2011-02-08 19:30

ucn123 写了:PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games"
CLASSPATH=.:/usr/lib/jvm/java-6-sun/lib
JAVA_HOME=/usr/lib/jvm/java-6-sun
JAVAC=javac ./configure

请问这个“号加在哪里? 我的系统也遇到了LZ一样的问题,以下是我在做update和install时都遇到的问题:

dpkg: parse error, in file '/var/lib/dpkg/status' near line 6129 package 'install-info':
Configured-Version for package with inappropriate Status
E: Sub-process /usr/bin/dpkg returned an error code (2)


Package: install-info
Status: install ok not-installed
Priority: important
Section: doc
Installed-Size: 252
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Architecture: i386
Source: texinfo
Version: 4.13a.dfsg.1-5ubuntu1
Config-Version: 4.13a.dfsg.1-5ubuntu1
Replaces: texinfo (<< 4.13a.dfsg.1-2)
Depends: libc6 (>= 2.4)
Conflicts: texinfo (<< 4.13a.dfsg.1-2)
Description: Manage installed documentation in info format
The install-info utility creates the index of all installed documentation
in info format and makes it available to info readers.
Original-Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>


貌似咱们的问题好像不太一样吧,呵呵,我的问题是出在/etc/environment,少写了一个"号,记住,一定要仔细观察那个引号,那个引号与其他的不太一样,有一点歪 :em06
有些事情现在不做,就一辈子也不会做了
头像
lainme
论坛版主
帖子: 7805
注册时间: 2008-09-13 19:17
系统: Arch Linux (x86_64)
送出感谢: 3 次
接收感谢: 68 次
联系:

Re: 终端里下载软件出问题了,求助阿

#12

帖子 lainme » 2011-02-08 19:55

Status: install ok not-installed

这个状态是错误的吧。如果是已经安装的,状态应该是

Status: install ok installed
回复

回到 “老旧版本支持”